package org.bench4q.monitor.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "PhisicalDisk")
public class PhysicalDiskModel {
	private List<PhysicalDiskModelChild> physicalDiskModelList;

	@XmlElementWrapper
	@XmlElement(name = "Instances", type = PhysicalDiskModelChild.class)
	public List<PhysicalDiskModelChild> getPhysicalDiskModelList() {
		return physicalDiskModelList;
	}

	public void setPhysicalDiskModelList(
			List<PhysicalDiskModelChild> physicalDiskModelList) {
		this.physicalDiskModelList = physicalDiskModelList;
	}

	public PhysicalDiskModel() {
		this.physicalDiskModelList = new ArrayList<PhysicalDiskModelChild>();
	}

}
